Subject: Re: bug#4093: Overlay keymap and timers

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Aug 2009 13:38:09 -0400

>> But maybe an alternative is to provide some way for your Elisp code to
>> cause a jump back to `replay_sequence' so that you can force the C-c C-d
>> to be interpreted in the new keymaps even if the C-c had already been
>> pressed when your code was run.
> Sounds good.  Would it perhaps be most easy to implement
> a `please-replay-sequence' function that tells the command loop to go
> one more turn and check the keymaps again and reuse the pending input?

That function couldn't do much more than set a variable and return.
So yes, it could be done and would have the advantage of making it
possible to keep the variable hidden from Elisp.  Not sure if that
advantage is of any significance, tho.

        Stefan